Skip to content

Asynchronous notification

  • Endpoint: POST /delSuffixStart3
  • Tags: Collection Service /Payment Tokenization

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 30The unique mark assigned to the merchant by PayerMax
userIdstringYesmaxLength: 64The user ID by the merchant, needs to ensure the uniqueness of each user
paymentTokenIDstringYesmaxLength: 64PMMax token
tokenScopestringYesmaxLength: 16Product Range
paymentTokenExpirystringYesmaxLength: 32Token validity period,Comply with rfc3339 specification, format: yyyy-MM-dd’T’HH:mm:ss.SSSXXX
paymentTokenStatusstringYesmaxLength: 16Token status, this field is required when paying with card token
cardInfostringNomaxLength: 19Mask card number, desensitized according to the first 6 and the last 4, such as 533333**2222
brandstringNomaxLength: 32Card groups, such as Visa, Mastercard, and dual-standard cards are returned
ifCVVstringNomaxLength: 1Whether CVV is required. Y: When using Token to pay, you need to input CVV again; N: CVV does not need to be entered again when using Token payment. Note: CVV is verified again according to the rules of the issuing bank
outTradeNostringNomaxLength: 64he merchant order number corresponding to the original payment transaction.This field is returned only in the notification interface after the first authorization payment is successful. This field is empty when the merchant is notified again of a change in the paymentTokenStatus status.
paymentMethodTypestringYespayment method type, such as CARD,ONE_TOUCH
targetOrgstringNoThe target organisation, where paymentMethodType is CARD, targetOrg is empty string
accountDisplaystringNoMask account number, such as 63-9****72123, where paymentMethodType is CARD, accountDisplay is empty string
countrystringYescountry code

Example

json
{
  "brand": "VISA",
  "ifCVV": "N",
  "cardInfo": "455701******1010",
  "outTradeNo": "20230725203208988107020",
  "paymentMethodType": "CARD",
  "paymentTokenExpiry": "2025-01-11T20:01:55.200Z",
  "paymentTokenID": "PMTOKEN20230710080439571142400031000",
  "paymentTokenStatus": "Activated",
  "targetOrg": "",
  "accountDisplay": "",
  "tokenScope": "tokenAcq",
  "userId": "victor002",
  "country": "ID"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 6Return code.The value ‘0000’ only represents the receipt of the notification and does not represent the order status.
messagestringNomaxLength: 32Return message

Response Example

json
{
  "bizCode": "0000",
  "message": "success"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.